Package com.salesforce.hyperdb.grpc

## Class HyperServiceGrpc.HyperServiceStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractAsyncStub<HyperServiceGrpc.HyperServiceStub>
    - - com.salesforce.hyperdb.grpc.HyperServiceGrpc.HyperServiceStub

Enclosing class:
  HyperServiceGrpc

    public static final class HyperServiceGrpc.HyperServiceStub
    extends io.grpc.stub.AbstractAsyncStub<HyperServiceGrpc.HyperServiceStub>

A stub to allow clients to do asynchronous rpc calls to service HyperService.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected HyperServiceGrpc.HyperServiceStub` `build​(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`void` `cancelQuery​(CancelQueryParam request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)`
`void` `executeQuery​(QueryParam request, io.grpc.stub.StreamObserver<ExecuteQueryResponse> responseObserver)`
`void` `getQueryInfo​(QueryInfoParam request, io.grpc.stub.StreamObserver<QueryInfo> responseObserver)`
`void` `getQueryResult​(QueryResultParam request, io.grpc.stub.StreamObserver<QueryResult> responseObserver)`

### Methods inherited from class io.grpc.stub.AbstractAsyncStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected HyperServiceGrpc.HyperServiceStub build​(io.grpc.Channel channel,
                                                      io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<HyperServiceGrpc.HyperServiceStub>`

#### executeQuery

    public void executeQuery​(QueryParam request,
                             io.grpc.stub.StreamObserver<ExecuteQueryResponse> responseObserver)

#### getQueryResult

    public void getQueryResult​(QueryResultParam request,
                               io.grpc.stub.StreamObserver<QueryResult> responseObserver)

#### getQueryInfo

    public void getQueryInfo​(QueryInfoParam request,
                             io.grpc.stub.StreamObserver<QueryInfo> responseObserver)

#### cancelQuery

    public void cancelQuery​(CancelQueryParam request,
                            io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)